petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetRowMinAbs

Gets the minimum value (in absolute value) of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowMinAbs(Mat mat,Vec v,PetscInt idx[])

Logically Collective on Mat and Vec

### Input Parameters

mat -the matrix

### Output Parameter

| v | - the vector for storing the minimums
| idx | - the indices of the column found for each row (or NULL if not needed)

Notes: if a row is completely empty or has only 0.0 values then the idx[] value for that row is 0 (the first column).

This code is only implemented for a couple of matrix formats.

### See Also

MatGetDiagonal(), MatGetSubMatrices(), MatGetSubmatrix(), MatGetRowMax(), MatGetRowMaxAbs(), MatGetRowMin()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html